# riscv::register::mideleg - Rust
mideleg register
Keywords: rust, rustlang, rust-lang, mideleg

# Module riscv::register::mideleg

source · [−]
Expand description

mideleg register

## Structs

Mideleg

mideleg register

## Functions

clear_sext ⚠

Supervisor External Interrupt Delegate

clear_ssoft ⚠

Supervisor Software Interrupt Delegate

clear_stimer ⚠

Supervisor Timer Interrupt Delegate

clear_uext ⚠

User External Interrupt Delegate

clear_usoft ⚠

User Software Interrupt Delegate

clear_utimer ⚠

User Timer Interrupt Delegate

read

Reads the CSR

set_sext ⚠

Supervisor External Interrupt Delegate

set_ssoft ⚠

Supervisor Software Interrupt Delegate

set_stimer ⚠

Supervisor Timer Interrupt Delegate

set_uext ⚠

User External Interrupt Delegate

set_usoft ⚠

User Software Interrupt Delegate

set_utimer ⚠

User Timer Interrupt Delegate